# shifted-semver-increment

[![build status](https://gitlab.com/hyper-expanse/shifted-semver-increment/badges/master/build.svg)](https://gitlab.com/hyper-expanse/shifted-semver-increment/commits/master)
[![codecov.io](https://codecov.io/gitlab/hyper-expanse/shifted-semver-increment/coverage.svg?branch=master)](https://codecov.io/gitlab/hyper-expanse/shifted-semver-increment?branch=master)

> Support major version zero incrementing alongside existing semver package behavior.

## Installation

To install the `shifted-semver-increment` tool for use in your project please run the following command:

```bash
yarn add shifted-semver-increment
```

If you are using the `npm` package manager:

```bash
npm install shifted-semver-increment
```

## Usage

Pending...

## Debugging

To assist users of `shifted-semver-increment` with debugging the behavior of this module we use the [debug](https://www.npmjs.com/package/debug) utility package to print information to the console. To enable debug message printing, the environment variable `DEBUG`, which is the variable used by the `debug` package, must be set to a value configured by the package containing the debug messages to be printed.

To print debug messages on a unix system set the environment variable `DEBUG` with the name of this package prior to executing a tool that invokes this module:

```bash
DEBUG=shifted-semver-increment [CONSUMING PROJECT]
```

On the Windows command line you may do:

```bash
set DEBUG=shifted-semver-increment
[CONSUMING PROJECT]
```

## Node Support Policy

We only support [Long-Term Support](https://github.com/nodejs/LTS) versions of Node.

We specifically limit our support to LTS versions of Node, not because this package won't work on other versions, but because we have a limited amount of time, and supporting LTS offers the greatest return on that investment.

It's possible this package will work correctly on newer versions of Node. It may even be possible to use this package on older versions of Node, though that's more unlikely as we'll make every effort to take advantage of features available in the oldest LTS version we support.

As each Node LTS version reaches its end-of-life we will remove that version from the `node` `engines` property of our package's `package.json` file. Removing a Node version is considered a breaking change and will entail the publishing of a new major version of this package. We will not accept any requests to support an end-of-life version of Node. Any merge requests or issues supporting an end-of-life version of Node will be closed.

We will accept code that allows this package to run on newer, non-LTS, versions of Node. Furthermore, we will attempt to ensure our own changes work on the latest version of Node. To help in that commitment, our continuous integration setup runs against all LTS versions of Node in addition the most recent Node release; called _current_.

JavaScript package managers should allow you to install this package with any version of Node, with, at most, a warning if your version of Node does not fall within the range specified by our `node` `engines` property. If you encounter issues installing this package, please report the issue to your package manager.

## Contributing

Please read our [contributing guide](https://gitlab.com/hyper-expanse/shifted-semver-increment/blob/master/CONTRIBUTING.md) to see how you may contribute to this project.
